---
title: Release note
subtitle: EVS Client
toolversion: 5.11.2
date: 2016-09-05
author: Anne-Gaëlle BERGE
function: Software Engineer
customer: IHE Europe
reference: KER1-RNO-IHE-EVS_CLIENT
---
# 5.11.2
_Release date: 2019-04-01_

__Remarks__

This release uses the latest version of Gazelle X Validation module, see changes below.

## Gazelle X Validation 1.4.1

__Bug__

* \[[XVAL-162](https://gazelle.ihe.net/jira/browse/XVAL-162)\] [Cross-Validator] Edition des ID

# 5.11.1
_Release date: 2019-03-15_

__Remarks__
Management of the datasource has changed. Refer to the installation manual to configure your Jboss when updating to this version.

__Improvement__
* \[[EVSCLT-793](https://gazelle.ihe.net/jira/browse/EVSCLT-793)\] Extract datasource configuration
* \[[EVSCLT-794](https://gazelle.ihe.net/jira/browse/EVSCLT-794)\] Update SQL scripts archive

## Message Content Analyzer 2.3.1

__Bug__
* \[[MCA-97](https://gazelle.ihe.net/jira/browse/MCA-97)\] [ASIP XDM] No CDA file in archive should generate an error

# 5.11.0
_Release date: 2019-03-05_

__Improvement__
* \[[EVSCLT-801](https://gazelle.ihe.net/jira/browse/EVSCLT-801)\] Add AssertionCoverageProvider API reference from X Val WS
* \[[EVSCLT-806](https://gazelle.ihe.net/jira/browse/EVSCLT-806)\] The administration menu for X validator shall be moved under add-ons

## Gazelle X Validation 1.4.0

__Story__
* \[[XVAL-157](https://gazelle.ihe.net/jira/browse/XVAL-157)\] Detect files resulting from XDM Detection in MCA and send them back

__Improvement__
* \[[XVAL-159](https://gazelle.ihe.net/jira/browse/XVAL-159)\] Review the XSL stylesheet to display the abort reason to the user

## Message Content Analyzer 2.3.0

__Bug__
* \[[MCA-84](https://gazelle.ihe.net/jira/browse/MCA-84)\] ZIP architecture not properly displaying in analysis results
* \[[MCA-85](https://gazelle.ihe.net/jira/browse/MCA-85)\] MTOM Not detected when X509Certificate xml tag in content
* \[[MCA-86](https://gazelle.ihe.net/jira/browse/MCA-86)\] The MCA looses the information on calling tools when called from remote validator
* \[[MCA-94](https://gazelle.ihe.net/jira/browse/MCA-94)\] XValidation results are not persisted in analysis results
* \[[MCA-95](https://gazelle.ihe.net/jira/browse/MCA-95)\] Prevent User from sending an archive to validation
* \[[MCA-96](https://gazelle.ihe.net/jira/browse/MCA-96)\] Not logged in User is able to filter analysis logs on users

__Story__
* \[[MCA-87](https://gazelle.ihe.net/jira/browse/MCA-87)\] Create XDM Detection
* \[[MCA-88](https://gazelle.ihe.net/jira/browse/MCA-88)\] Send Subparts to Cross-Validation
* \[[MCA-89](https://gazelle.ihe.net/jira/browse/MCA-89)\] Find analysis log from analysis subpart oid

## EVSClient-connector 1.3.0

__Bug__
* \[[EVSCONNECT-5](https://gazelle.ihe.net/jira/browse/EVSCONNECT-5)\] Add method to retrieve validator status

__Story__
* \[[EVSCONNECT-4](https://gazelle.ihe.net/jira/browse/EVSCONNECT-4)\] Manage Subparts from MCA for XDM Detection

# 5.10.3
_Release date: 2019-03-02_

## Gazelle X Validation 1.3.0

__Improvement__
* \[[XVAL-149](https://gazelle.ihe.net/jira/browse/XVAL-149)\] Add a MANIFEST in input's MessageType enumeration
* \[[XVAL-150](https://gazelle.ihe.net/jira/browse/XVAL-150)\] Manage input optionality in the cardinality


# 5.10.2
_Release date: 2019-01-02_

__Bug__
* \[[EVSCLT-797](https://gazelle.ihe.net/jira/browse/EVSCLT-797)\] No Validation Result when xml document is not well formed

# 5.10.1
_Release date: 2018-12-20_

__Remarks__
For the task EVSCLT-792, part of the work was done in Gazelle Test Management size. To benefit from the harmonization of validation results between those tools, it is required to work with Gazelle Test Management version 5.9.5 or higher. There is however no compatibility problem if another version is used.

__Sub-task__
* \[[EVSCLT-792](https://gazelle.ihe.net/jira/browse/EVSCLT-792)\] Harmonize style of the result between TM and EVS

__Bug__
* \[[EVSCLT-739](https://gazelle.ihe.net/jira/browse/EVSCLT-739)\] No status given when validating with dciovfy
* \[[EVSCLT-755](https://gazelle.ihe.net/jira/browse/EVSCLT-755)\] DICOM Validation result does not show correct Dicom Operation 
* \[[EVSCLT-776](https://gazelle.ihe.net/jira/browse/EVSCLT-776)\] Impossible to delete a tool referenced in Calling Tools menu
* \[[EVSCLT-790](https://gazelle.ihe.net/jira/browse/EVSCLT-790)\] MBValidation stub timeout is not working

# 5.10.0
_Release date: 2018-10-31_

__Remarks__

The "version" module with version 2.0.0 is only compliant with Widefly 8 and thus not applicable to this version of EVSClient.

__Bug__

* \[[EVSCLT-787](https://gazelle.ihe.net/jira/browse/EVSCLT-787)\] Missing Translation

# Message Content Analyzer 2.2.1 changes

__Bug__

* \[[MCA-80](https://gazelle.ihe.net/jira/browse/MCA-80)\] Performance issue due to overly complex regex for xml tag detection
* \[[MCA-81](https://gazelle.ihe.net/jira/browse/MCA-81)\] Missing translation from 2.1.0

# Gazelle X Validation 1.2.0 changes

__Bug__

* \[[XVAL-120](https://gazelle.ihe.net/jira/browse/XVAL-120)\] Add an input button is not working after saving a validator
* \[[XVAL-121](https://gazelle.ihe.net/jira/browse/XVAL-121)\] Problem after resetting validator during cross validator selection
* \[[XVAL-122](https://gazelle.ihe.net/jira/browse/XVAL-122)\] Fix cross validation inputs number detection in EVSClient
* \[[XVAL-123](https://gazelle.ihe.net/jira/browse/XVAL-123)\] Add a rule button is not working after saving a validator
* \[[XVAL-124](https://gazelle.ihe.net/jira/browse/XVAL-124)\] Fix the link in Edit Rule to go back to Validator Editor instead of Validator Documentation
* \[[XVAL-128](https://gazelle.ihe.net/jira/browse/XVAL-128)\] Add inherited inputs in validator inputs table when calling a validator
* \[[XVAL-129](https://gazelle.ihe.net/jira/browse/XVAL-129)\] Validation log page is empty

__Story__

* \[[XVAL-140](https://gazelle.ihe.net/jira/browse/XVAL-140)\] Hide create unit test file button when no textual expression has been created

__Improvement__

* \[[XVAL-127](https://gazelle.ihe.net/jira/browse/XVAL-127)\] Add REST method to POST validator status


__Dependencies__



# 5.9.0
_Release date: 2018-10-11_

__Remarks__

WARNING : When deploying EVSClient version 5.9.0 , make sure that EVSClient version 5.8.x has been deployed on the server and that the migration of analysis data is over. You can then deploy this version and apply the SQL script without loosing any analysis data.

## Message Content Analyzer 2.2.0

__Bug__

* \[[MCA-31](https://gazelle.ihe.net/jira/browse/MCA-31)\] Blank page when trying to access an analysis result report with unappropriated rights.
* \[[MCA-76](https://gazelle.ihe.net/jira/browse/MCA-76)\] XML part download does not show the popup + file extension

__Task__

* \[[MCA-69](https://gazelle.ihe.net/jira/browse/MCA-69)\] Add Sample field in configuration
* \[[MCA-74](https://gazelle.ihe.net/jira/browse/MCA-74)\] Improve the MCA Config page
* \[[MCA-75](https://gazelle.ihe.net/jira/browse/MCA-75)\] Add import/export functionality for MCA configurations
* \[[MCA-79](https://gazelle.ihe.net/jira/browse/MCA-79)\] Change GUI info to popovers

# 5.8.1
_Release date: 2018-10-10_

__Bug__

* \[[EVSCLT-788](https://gazelle.ihe.net/jira/browse/EVSCLT-788)\] Confusion between the integration of new SchematronValidator webservices

# 5.8.0
_Release date: 2018-10-05_

__Remarks__

The sql script "update-5.8.0.sql" shall be completed with values depending on the installation where the tool will be deployed.
This version of EVSClient is not compliant with versions of SchematronValidator prior to 2.4.0.

__Improvement__

* \[[EVSCLT-786](https://gazelle.ihe.net/jira/browse/EVSCLT-786)\] Update to be consistent with SchematronValidator 2.4.0 improvement

# 5.7.2
_Release date: 2018-10-03_

__Bug__

* \[[EVSCLT-768](https://gazelle.ihe.net/jira/browse/EVSCLT-768)\] Legend for statistics on result status is not complete
* \[[EVSCLT-777](https://gazelle.ihe.net/jira/browse/EVSCLT-777)\] Missing acces rule
* \[[EVSCLT-784](https://gazelle.ihe.net/jira/browse/EVSCLT-784)\] Missing preference causes XValidators oid to contain 'null'


# 5.7.1
_Release date: 2018-09-21_

__Bug__
* \[[EVSCLT-783](https://gazelle.ihe.net/jira/browse/EVSCLT-783)\] PDF validation log page does not display all results when arriving on the page

# 5.7.0
_Release date: 2018-09-14_

__Remarks__

A new module has been released : Gazelle Calling Tools 1.0.0.
This module is now in dependence in a jar with EVSClient and Gazelle X Validation module embedded in EVSClient.

__Bug__

* \[[EVSCLT-774](https://gazelle.ihe.net/jira/browse/EVSCLT-774)\] TM does not display the right result for PDF validation from EVSClient (sample validation)

## Message Content Analyzer 2.1.0

__Epic__

* \[[MCA-60](https://gazelle.ihe.net/jira/browse/MCA-60)\] Define and Externalize MCA configuration

## Cross Validation 1.1.0

__Story__

* \[[XVAL-19](https://gazelle.ihe.net/jira/browse/XVAL-19)\] API Implement a web service for remote validation
* \[[XVAL-104](https://gazelle.ihe.net/jira/browse/XVAL-104)\] Each X Validator shall have an OID
* \[[XVAL-105](https://gazelle.ihe.net/jira/browse/XVAL-105)\] "Tag" the inputs
* \[[XVAL-116](https://gazelle.ihe.net/jira/browse/XVAL-116)\] Remote validation - Handle the case where the validator OID is not provided
* \[[XVAL-119](https://gazelle.ihe.net/jira/browse/XVAL-119)\] Allow the user to access the XValidator documentation knowing the OID of the validator


# EVSClient 5.6.2 changes
_Release date: 2018-07-19_

__Remarks__

MCA data migration will suppress all record in database that are not linked to a file or that are linked with a file that does not exist.

__Story__
* \[[EVSCLT-772](https://gazelle.ihe.net/jira/browse/EVSCLT-772)\] Display validator version in the validation result 

## Message Content Analyzer 2.0.0

__Bug__
* \[[MCA-17](https://gazelle.ihe.net/jira/browse/MCA-17)\] FileToValidate model serialization bloc migration and model evolution

__Story__
* \[[MCA-9](https://gazelle.ihe.net/jira/browse/MCA-9)\] API improvement

## gazelle-assets 2.0.24

Added stacked icon style class "gzl-icon-stack-small-bottom-right" for MCA "Validate without known Validation Type" button.


# 5.6.1
_Release date: 2018-05-30_

__Remarks__

The sql script 'update-5.6.1.sql' allow to update the preference of the 'fhir_repository' which contains one more space in the 'update-5.3.0.sql'.

__Bug__
* \[[EVSCLT-753](https://gazelle.ihe.net/jira/browse/EVSCLT-753)\] Impossible to validate messages with FHIR validation service
* \[[EVSCLT-760](https://gazelle.ihe.net/jira/browse/EVSCLT-760)\] User is not informed that the validation result is in TM test step
* \[[EVSCLT-761](https://gazelle.ihe.net/jira/browse/EVSCLT-761)\] Error when we validate sample which is download from EVSClient
* \[[EVSCLT-763](https://gazelle.ihe.net/jira/browse/EVSCLT-763)\] File validation permanentlink is not updated


# 5.6.0
_Release date: 2018-05-28_

__Remarks__

In addition to the update_5.6.0.sql script, there is also update_5.6.0.sh to execute to migrate validated files on disk.

__Bug__
* \[[EVSCLT-736](https://gazelle.ihe.net/jira/browse/EVSCLT-736)\] The upload widget is not available on XML based validation page
* \[[EVSCLT-752](https://gazelle.ihe.net/jira/browse/EVSCLT-752)\] Cannot access all logs for PDF validation
* \[[EVSCLT-753](https://gazelle.ihe.net/jira/browse/EVSCLT-753)\] Impossible to validate messages with FHIR validation service
* \[[EVSCLT-756](https://gazelle.ihe.net/jira/browse/EVSCLT-756)\] Signature validation report is not displayed in the validation report

## Message Content Analyzer 1.0.0

__Epic__
* \[[MCA-5](https://gazelle.ihe.net/jira/browse/MCA-5)\] Isolate Content Analyzer as module

__Bug__
* \[[MCA-23](https://gazelle.ihe.net/jira/browse/MCA-23)\] Infinite loop on SAML Assertion detection in Content Analyzer

# 5.5.0
_Release date: 2018-03-31_

__Epic__
* \[[EVSCLT-705](https://gazelle.ihe.net/jira/browse/EVSCLT-705)\] [KELA] Validation of Digital Signature

__Test__
* \[[EVSCLT-708](https://gazelle.ihe.net/jira/browse/EVSCLT-708)\] Test campaign
* \[[EVSCLT-728](https://gazelle.ihe.net/jira/browse/EVSCLT-728)\] [KELA/GDPR] Test campaign

__Bug__
* \[[EVSCLT-734](https://gazelle.ihe.net/jira/browse/EVSCLT-734)\] After logging, the parameters are not passed in the URL

__Story__
* \[[EVSCLT-733](https://gazelle.ihe.net/jira/browse/EVSCLT-733)\] [KELA] Detect signature in CDA documents and validate

__Improvement__
* \[[EVSCLT-706](https://gazelle.ihe.net/jira/browse/EVSCLT-706)\] [KELA] Add a Digital Signature validation module
* \[[EVSCLT-735](https://gazelle.ihe.net/jira/browse/EVSCLT-735)\] Use of the IOUtils.closequietly in finally's in order to clean up the code

# 5.4.0
_Release date: 2018-03-02_

__Bug__
* \[[EVSCLT-698](https://gazelle.ihe.net/jira/browse/EVSCLT-698)\] When several menu entries reference the same standard type, it is impossible to access all of them

__Story__
* \[[EVSCLT-723](https://gazelle.ihe.net/jira/browse/EVSCLT-723)\] [KELA/GDPR] Execution of GDPR rules

__Improvement__
* \[[EVSCLT-696](https://gazelle.ihe.net/jira/browse/EVSCLT-696)\] Try to really apereo cas logout
* \[[EVSCLT-702](https://gazelle.ihe.net/jira/browse/EVSCLT-702)\] [KELA/GDPR] Allow the administrator of the tool to enable/disable the GDPR-checks
* \[[EVSCLT-725](https://gazelle.ihe.net/jira/browse/EVSCLT-725)\] [KELA/GDPR] Writing of GDPR rules (javascript)

# 5.3.0
_Release date: 2017-12-21_

__Remarks__

From version 5.2.10, EVSClient is making use of the new Gazelle SSO (Apereo). Configuration of the SSO is no more done in database. Make sure the configuration file is available on the server hosting EVSClient at /opt/gazelle/cas/file.properties.

__Bug__
* \[[EVSCLT-662](https://gazelle.ihe.net/jira/browse/EVSCLT-662)\] Memory leak
* \[[EVSCLT-687](https://gazelle.ihe.net/jira/browse/EVSCLT-687)\] The OID is the same after performing another validation

__Story__
* \[[EVSCLT-672](https://gazelle.ihe.net/jira/browse/EVSCLT-672)\] Description field of standard could support HTML tags
* \[[EVSCLT-673](https://gazelle.ihe.net/jira/browse/EVSCLT-673)\] Display description field of validation service on validator page

__Improvement__
* \[[EVSCLT-676](https://gazelle.ihe.net/jira/browse/EVSCLT-676)\] We shall be able to call the FHIR Validator from EVSClient

# 5.2.10

__Bug__
* \[[EVSCLT-645](https://gazelle.ihe.net/jira/browse/EVSCLT-645)\] [EFS] No specific errors when DFDL error happens
* \[[EVSCLT-659](https://gazelle.ihe.net/jira/browse/EVSCLT-659)\] Problem in the view of the XML
# 5.2.9

__Bug__
* \[[EVSCLT-655](https://gazelle.ihe.net/jira/browse/EVSCLT-655)\] [EVS Client] Pb with buttons "Make this result public" / "Share this result"
* \[[EVSCLT-657](https://gazelle.ihe.net/jira/browse/EVSCLT-657)\] Bad label for menu visibility

# 5.2.8

__Bug__
* \[[EVSCLT-637](https://gazelle.ihe.net/jira/browse/EVSCLT-637)\] Template tree has been tested, remove the "experimental" word
# 5.2.7

__Bug__
* \[[EVSCLT-617](https://gazelle.ihe.net/jira/browse/EVSCLT-617)\] When there are only one schematron in CDA validation, it is selected for validation even if you deselect it
* \[[EVSCLT-628](https://gazelle.ihe.net/jira/browse/EVSCLT-628)\] Button validate again is not working, when revalidating a CDA document
* \[[EVSCLT-641](https://gazelle.ihe.net/jira/browse/EVSCLT-641)\] Missing translation strings
* \[[EVSCLT-642](https://gazelle.ihe.net/jira/browse/EVSCLT-642)\] Unexpected entries in Model-based report (PDF version)
* \[[EVSCLT-644](https://gazelle.ihe.net/jira/browse/EVSCLT-644)\] [EFS] Revalidate button in EVS Client does not load the existing file
* \[[EVSCLT-648](https://gazelle.ihe.net/jira/browse/EVSCLT-648)\] When we validate a CDA document that contains a PDF as a <reference> and not embeded B64, we still propose to validate it using the PDF validation

__Story__
* \[[EVSCLT-646](https://gazelle.ihe.net/jira/browse/EVSCLT-646)\] [EHEALTHBEL] The XSL of CDA.xsl cannot be configured in EVSCLient

__Improvement__
* \[[EVSCLT-620](https://gazelle.ihe.net/jira/browse/EVSCLT-620)\] [Sequoia/CDA] Make the SchematronValidation exportable as PDF

# 5.2.4

__Bug__
* \[[EVSCLT-634](https://gazelle.ihe.net/jira/browse/EVSCLT-634)\] Timeout when validating documents

# 5.2.3

__Improvement__
* \[[EVSCLT-636](https://gazelle.ihe.net/jira/browse/EVSCLT-636)\] Add the ability for a menu to be only accessible to logged in users

# 5.2.2

__Improvement__
* \[[EVSCLT-623](https://gazelle.ihe.net/jira/browse/EVSCLT-623)\] Improve verbosity of mail send by EVSClient when access to External validation service does not work

# 5.2.1

__Story__
* \[[EVSCLT-630](https://gazelle.ihe.net/jira/browse/EVSCLT-630)\] URL to assertion manager is hard-coded

#  5.2.0
_Release date: 2017-06-17_

__Improvement__
* \[[EVSCLT-627](https://gazelle.ihe.net/jira/browse/EVSCLT-627)\] Update to newest version of gazelle-x-validation

#  5.1.6

__Improvement__
* \[[EVSCLT-626](https://gazelle.ihe.net/jira/browse/EVSCLT-626)\] Add a delete validation result for admin

# 5.1.5

__Bug__
* \[[EVSCLT-562](https://gazelle.ihe.net/jira/browse/EVSCLT-562)\] Cannot navigate among issues in the CDA (Firefox)
* \[[EVSCLT-563](https://gazelle.ihe.net/jira/browse/EVSCLT-563)\] Issues with some documents
* \[[EVSCLT-612](https://gazelle.ihe.net/jira/browse/EVSCLT-612)\] Unsubscribe DSUB messages are not detected in the Content Analyzer

__Story__
* \[[EVSCLT-122](https://gazelle.ihe.net/jira/browse/EVSCLT-122)\] NPE when validating a message with bad MSH-1

__Improvement__
* \[[EVSCLT-340](https://gazelle.ihe.net/jira/browse/EVSCLT-340)\] Content Analyzer should recognize MTOM even if we do not start by the MTOM section

# 5.1.4
_Release date: 2017-05-02_

__Bug__
* \[[EVSCLT-618](https://gazelle.ihe.net/jira/browse/EVSCLT-618)\] Message Content Analyser edited message not taken into account
* \[[EVSCLT-619](https://gazelle.ihe.net/jira/browse/EVSCLT-619)\] The link on the eye icon to goto the error in the code on the validation page does not work in some cases

__Story__
* \[[EVSCLT-538](https://gazelle.ihe.net/jira/browse/EVSCLT-538)\] [Sequoia/CDA] Make the report exportable as PDF

# 5.1.3
_Release date: 2017-03-30_

__Bug__
* \[[EVSCLT-604](https://gazelle.ihe.net/jira/browse/EVSCLT-604)\] Link to validation result bound to a proxy URL does not lead to a valid page
* \[[EVSCLT-606](https://gazelle.ihe.net/jira/browse/EVSCLT-606)\] Call to DCCHECK  validation service does not work

# 5.1.2
_Release date: 2017-02-08_
__Bug__
* \[[EVSCLT-602](https://gazelle.ihe.net/jira/browse/EVSCLT-602)\] GetValidation*ByExternalId does not return accurate result

# 5.1.1

__Bug__
* \[[EVSCLT-601](https://gazelle.ihe.net/jira/browse/EVSCLT-601)\] Automated message analyzer truncates some of the DSUB messages

__Improvement__
* \[[EVSCLT-600](https://gazelle.ihe.net/jira/browse/EVSCLT-600)\] File extensions of files that can be uploaded shall be configurable

# 5.1.0
_Release date: 2017-01-13_
__Remarks__

This version (5.1.0) of EVSClient will be able to communicate only with instances of Schematron Validator 2.1.0 and higher. This version also embeds the scorecard service for CDA document, the one is available in CDA Generator 2.1.1 and higher.

__Technical task__
* \[[EVSCLT-539](https://gazelle.ihe.net/jira/browse/EVSCLT-539)\] [Sequoia/CDA] Display advanced filters
* \[[EVSCLT-541](https://gazelle.ihe.net/jira/browse/EVSCLT-541)\] [Sequoia/CDA] Display statistics on template usage part of the scorecard
* \[[EVSCLT-542](https://gazelle.ihe.net/jira/browse/EVSCLT-542)\] [Sequoia/CDA] Display statistics on document part of the scorecard
* \[[EVSCLT-543](https://gazelle.ihe.net/jira/browse/EVSCLT-543)\] [Sequoia/CDA] Define how EVSClient retrieves the scorecard from Gazelle Object Checker
* \[[EVSCLT-544](https://gazelle.ihe.net/jira/browse/EVSCLT-544)\] [Sequoia/CDA] EVSClient shall retrieve the scorecard for a given CDA

__Bug__
* \[[EVSCLT-404](https://gazelle.ihe.net/jira/browse/EVSCLT-404)\] DB Script to add WS Trust is missing
* \[[EVSCLT-450](https://gazelle.ihe.net/jira/browse/EVSCLT-450)\] Allow user to perform a new validation
* \[[EVSCLT-455](https://gazelle.ihe.net/jira/browse/EVSCLT-455)\] DICOM validate again button does not work
* \[[EVSCLT-493](https://gazelle.ihe.net/jira/browse/EVSCLT-493)\] Validation result information panel is displayed differently
* \[[EVSCLT-514](https://gazelle.ihe.net/jira/browse/EVSCLT-514)\] The user is no more able to validate a new document
* \[[EVSCLT-555](https://gazelle.ihe.net/jira/browse/EVSCLT-555)\] When you show the result of validation, we don't see the documentation from CDAGenerator but we see the link to the assertion
* \[[EVSCLT-559](https://gazelle.ihe.net/jira/browse/EVSCLT-559)\] Stastitics are not displayed for the validation kind selected by the user
* \[[EVSCLT-561](https://gazelle.ihe.net/jira/browse/EVSCLT-561)\] Schematron validation results: cannot hide/unhide reports
* \[[EVSCLT-564](https://gazelle.ihe.net/jira/browse/EVSCLT-564)\] Improve display of information section
* \[[EVSCLT-566](https://gazelle.ihe.net/jira/browse/EVSCLT-566)\] "Make this result public" does not work as expected
* \[[EVSCLT-569](https://gazelle.ihe.net/jira/browse/EVSCLT-569)\] Privacy of HL7v2 validation result is not accurate
* \[[EVSCLT-570](https://gazelle.ihe.net/jira/browse/EVSCLT-570)\] HL7v2: Reset button does not work
* \[[EVSCLT-571](https://gazelle.ihe.net/jira/browse/EVSCLT-571)\] Review display of header of HL7 message profile selection table
* \[[EVSCLT-577](https://gazelle.ihe.net/jira/browse/EVSCLT-577)\] I see no difference between two methods of DICOM3TOOLS
* \[[EVSCLT-579](https://gazelle.ihe.net/jira/browse/EVSCLT-579)\] DICOM Web Validation does not work
* \[[EVSCLT-580](https://gazelle.ihe.net/jira/browse/EVSCLT-580)\] CDA Validation: Notification filter based on template tree does not work
* \[[EVSCLT-584](https://gazelle.ihe.net/jira/browse/EVSCLT-584)\] No data available in Sequoia CDA validation Staistics page
* \[[EVSCLT-585](https://gazelle.ihe.net/jira/browse/EVSCLT-585)\] [Add-ons/Schematrons] The list of schematrons : filters for label and name don't work

__Story__
* \[[EVSCLT-529](https://gazelle.ihe.net/jira/browse/EVSCLT-529)\] compute statistics is twice in EVSClient
* \[[EVSCLT-534](https://gazelle.ihe.net/jira/browse/EVSCLT-534)\] [Sequoia/CDA] Display the CDA scorecard (produced by GOC)
* \[[EVSCLT-556](https://gazelle.ihe.net/jira/browse/EVSCLT-556)\] HL7v2 : Validation result is never send to the proxy

__Improvement__
* \[[EVSCLT-565](https://gazelle.ihe.net/jira/browse/EVSCLT-565)\] Allow user to "unshare" a result
* \[[EVSCLT-572](https://gazelle.ihe.net/jira/browse/EVSCLT-572)\] Consider showing the privacy in the log table
* \[[EVSCLT-574](https://gazelle.ihe.net/jira/browse/EVSCLT-574)\] H7v2: Add a faces message or scroll down to validation report
* \[[EVSCLT-575](https://gazelle.ihe.net/jira/browse/EVSCLT-575)\] HL7v2: Filtering of notifications do not work on validation page

# 5.0.14

__Bug__
* \[[EVSCLT-408](https://gazelle.ihe.net/jira/browse/EVSCLT-408)\] In CDA validation result, if user try to sort by extension it doesn't work
* \[[EVSCLT-495](https://gazelle.ihe.net/jira/browse/EVSCLT-495)\] Gazelle Cross Validator doesn't work
* \[[EVSCLT-553](https://gazelle.ihe.net/jira/browse/EVSCLT-553)\] Admin user should see as much as the users with the monitor role

__Epic__
* \[[EVSCLT-480](https://gazelle.ihe.net/jira/browse/EVSCLT-480)\] Update validation report XSL files

__Improvement__
* \[[EVSCLT-441](https://gazelle.ihe.net/jira/browse/EVSCLT-441)\] Make sure the tool creates directories with 775 rights
* \[[EVSCLT-516](https://gazelle.ihe.net/jira/browse/EVSCLT-516)\] Allow the same feature in MBV and Schematron validation reports

# 5.0.13

__Bug__
* \[[EVSCLT-533](https://gazelle.ihe.net/jira/browse/EVSCLT-533)\] HL7v3 validator doesn't load properly the XML file.

__Story__
* \[[EVSCLT-113](https://gazelle.ihe.net/jira/browse/EVSCLT-113)\] add pretty formatting when validating XDS metadata
* \[[EVSCLT-530](https://gazelle.ihe.net/jira/browse/EVSCLT-530)\] The errors are not CSS displayed in validation of XDS metadatas

__Improvement__
* \[[EVSCLT-330](https://gazelle.ihe.net/jira/browse/EVSCLT-330)\] Harmonisation of xsl files for validators.
* \[[EVSCLT-536](https://gazelle.ihe.net/jira/browse/EVSCLT-536)\] Page for the management of CDA templates did not make it through the migration to Jboss 7
* \[[EVSCLT-537](https://gazelle.ihe.net/jira/browse/EVSCLT-537)\] Cannot sort/filter validation logs by schematron or model based used
* \[[EVSCLT-552](https://gazelle.ihe.net/jira/browse/EVSCLT-552)\] Problem rendering non ascii characters when using jhighlight

# 5.0.10

__Technical task__
* \[[EVSCLT-550](https://gazelle.ihe.net/jira/browse/EVSCLT-550)\] [Sequoia/CDA] Integrate the new report for CDA in EVSClient

# 5.0.9

__Improvement__
* \[[EVSCLT-549](https://gazelle.ihe.net/jira/browse/EVSCLT-549)\] Add a preference to hide the add-ons menu.


# 5.0.8
_Release date: 2016-11-25_

__Bug__
* \[[EVSCLT-545](https://gazelle.ihe.net/jira/browse/EVSCLT-545)\] Webservice to get last validation permanent link return last validation date
* \[[EVSCLT-222](https://gazelle.ihe.net/jira/browse/EVSCLT-222)\] DiskStorePathManager for CacheManager is set to /tmp
* \[[EVSCLT-525](https://gazelle.ihe.net/jira/browse/EVSCLT-525)\] Validation of PDF embedded in CDA does not work
* \[[EVSCLT-526](https://gazelle.ihe.net/jira/browse/EVSCLT-526)\] UserAdmin.css is not used but embedded in the EAR. Should be removed.
* \[[EVSCLT-527](https://gazelle.ihe.net/jira/browse/EVSCLT-527)\] Calling tool page : Table scrolling does not work.
* \[[EVSCLT-463](https://gazelle.ihe.net/jira/browse/EVSCLT-463)\] EVSClient - epSOS Validators - Reset button changes validators
* \[[EVSCLT-468](https://gazelle.ihe.net/jira/browse/EVSCLT-468)\] When Schematron validation is performed, the validation result is empty
* \[[EVSCLT-472](https://gazelle.ihe.net/jira/browse/EVSCLT-472)\] XD* Validation : XSL model based report has old style
* \[[EVSCLT-477](https://gazelle.ihe.net/jira/browse/EVSCLT-477)\] HL7v2 validation report : "Profile exceptions" panel has old style
* \[[EVSCLT-482](https://gazelle.ihe.net/jira/browse/EVSCLT-482)\] AuditMessage validation report xsl has old style
* \[[EVSCLT-483](https://gazelle.ihe.net/jira/browse/EVSCLT-483)\] DSUB validation report XSL has old style
* \[[EVSCLT-519](https://gazelle.ihe.net/jira/browse/EVSCLT-519)\] Missing EVSClient-dist.zip for 5.0.0 on nexus
* \[[EVSCLT-522](https://gazelle.ihe.net/jira/browse/EVSCLT-522)\] The creation of a new reference standard does not save the name of the referenced standard

__Improvement__
* \[[EVSCLT-402](https://gazelle.ihe.net/jira/browse/EVSCLT-402)\] Improved errors display

__Story__
* \[[EVSCLT-521](https://gazelle.ihe.net/jira/browse/EVSCLT-521)\] in Manage referenced standards the filtering related to extension disapeared

# 5.0.0
_Release date: 2016-09-05_

__Remarks__
This is the first release of the EVS Client application for the Jboss 7 Application Server. 
The entire design of the application has been reviewed. The application now uses the harmmonized 
layout of the Gazelle Test Bed applications.

This version does not yet include the Gazelle Cross Validator component. 

__Bug__
* \[[EVSCLT-396](https://gazelle.ihe.net/jira/browse/EVSCLT-396)\] Errors in ovh3 logs
* \[[EVSCLT-414](https://gazelle.ihe.net/jira/browse/EVSCLT-414)\] Message content analyzer fails to show re-analyze of edited message/content
* \[[EVSCLT-415](https://gazelle.ihe.net/jira/browse/EVSCLT-415)\] Revalidate doesn't work anymore for Content Analyzer
* \[[EVSCLT-423](https://gazelle.ihe.net/jira/browse/EVSCLT-423)\] Empty element not recognized 
* \[[EVSCLT-425](https://gazelle.ihe.net/jira/browse/EVSCLT-425)\] Infinite Loop when validating the WS-TRUST response file 
* \[[EVSCLT-426](https://gazelle.ihe.net/jira/browse/EVSCLT-426)\] Bug in the javascript of the list of checks
* \[[EVSCLT-451](https://gazelle.ihe.net/jira/browse/EVSCLT-451)\] Update Schematron validation report stylesheet to new style
* \[[EVSCLT-452](https://gazelle.ihe.net/jira/browse/EVSCLT-452)\] Missing translation keys
* \[[EVSCLT-453](https://gazelle.ihe.net/jira/browse/EVSCLT-453)\] CDA HTML view is not rendered
* \[[EVSCLT-454](https://gazelle.ihe.net/jira/browse/EVSCLT-454)\] DSUB content is not displayed as HTML
* \[[EVSCLT-466](https://gazelle.ihe.net/jira/browse/EVSCLT-466)\] A broken image is displayed next to the username when you are logged in with the CAS (Firefox)
* \[[EVSCLT-467](https://gazelle.ihe.net/jira/browse/EVSCLT-467)\] When a FacesMessage is displayed, it never disappear
* \[[EVSCLT-469](https://gazelle.ihe.net/jira/browse/EVSCLT-469)\] Show templates tree : no tree is displayed
* \[[EVSCLT-471](https://gazelle.ihe.net/jira/browse/EVSCLT-471)\] On permanentlink result, the font is changed (blue, with smaller pixels)
* \[[EVSCLT-473](https://gazelle.ihe.net/jira/browse/EVSCLT-473)\] User can't access the list of Schematron
* \[[EVSCLT-474](https://gazelle.ihe.net/jira/browse/EVSCLT-474)\] HL7v2 validation : Error The given Id is unknown
* \[[EVSCLT-476](https://gazelle.ihe.net/jira/browse/EVSCLT-476)\] Revalidate an HL7v2 message trigger a Null Pointer Exception
* \[[EVSCLT-479](https://gazelle.ihe.net/jira/browse/EVSCLT-479)\] PDF validation have old style
* \[[EVSCLT-481](https://gazelle.ihe.net/jira/browse/EVSCLT-481)\] In statistics if user click on compute stat the application crash
* \[[EVSCLT-485](https://gazelle.ihe.net/jira/browse/EVSCLT-485)\] HL7v3 validation report XSL has old style
* \[[EVSCLT-486](https://gazelle.ihe.net/jira/browse/EVSCLT-486)\] Assertion (SAML) validation report XSL has old style
* \[[EVSCLT-487](https://gazelle.ihe.net/jira/browse/EVSCLT-487)\] There is no check to verify that the XSL input is really an URL
* \[[EVSCLT-488](https://gazelle.ihe.net/jira/browse/EVSCLT-488)\] HPD Validation report XSL has old style
* \[[EVSCLT-489](https://gazelle.ihe.net/jira/browse/EVSCLT-489)\] SVS Validation report XSL has old style
* \[[EVSCLT-490](https://gazelle.ihe.net/jira/browse/EVSCLT-490)\] Administration -> Manage referenced standards : inconsistency with gazelle style
* \[[EVSCLT-491](https://gazelle.ihe.net/jira/browse/EVSCLT-491)\] Title of "Reuse message" button (refresh icon) displays crowdin key
* \[[EVSCLT-492](https://gazelle.ihe.net/jira/browse/EVSCLT-492)\] Change referenced standard create / edit layout
* \[[EVSCLT-494](https://gazelle.ihe.net/jira/browse/EVSCLT-494)\] CDA validation report : HTML file content XSL is inconsistent with new Gazelle style
* \[[EVSCLT-496](https://gazelle.ihe.net/jira/browse/EVSCLT-496)\] CDA Validation Report : Check "show template tree (experimental)" change layout.
* \[[EVSCLT-497](https://gazelle.ihe.net/jira/browse/EVSCLT-497)\] When editing a referenced standard, transaction failed when adding an XSL location
* \[[EVSCLT-500](https://gazelle.ihe.net/jira/browse/EVSCLT-500)\] HL7v2 validator list : "Validate with the profile" has an old-styled icon
* \[[EVSCLT-501](https://gazelle.ihe.net/jira/browse/EVSCLT-501)\] EVSClient menu : icons that are not a brand should be font-awesome icons
* \[[EVSCLT-502](https://gazelle.ihe.net/jira/browse/EVSCLT-502)\] Manage calling tools : If you create an already existing preference property, there is a transaction failed, it should instead be handled with a message saying that the property already exists
* \[[EVSCLT-503](https://gazelle.ihe.net/jira/browse/EVSCLT-503)\] Create calling tools :If you register the same tool (same label and oid) there is a transaction failed instead of a message
* \[[EVSCLT-505](https://gazelle.ihe.net/jira/browse/EVSCLT-505)\] Can't acces to previous validation in Dicom SCP Screener
* \[[EVSCLT-506](https://gazelle.ihe.net/jira/browse/EVSCLT-506)\] Menu configuration : No confirmation popup when deleting an entry
* \[[EVSCLT-508](https://gazelle.ihe.net/jira/browse/EVSCLT-508)\] Manage Validation Services -> Edit : Inconsistency with the database
* \[[EVSCLT-515](https://gazelle.ihe.net/jira/browse/EVSCLT-515)\] link to assertions in CDA result is not correct
* \[[EVSCLT-518](https://gazelle.ihe.net/jira/browse/EVSCLT-518)\] for dcmcheck we are not able anymore to edit the service in V7 version

__Epic__
* \[[EVSCLT-416](https://gazelle.ihe.net/jira/browse/EVSCLT-416)\] Migrate EVSClient to Jboss 7
* \[[EVSCLT-418](https://gazelle.ihe.net/jira/browse/EVSCLT-418)\] migrate EVSClient

__Story__
* \[[EVSCLT-517](https://gazelle.ihe.net/jira/browse/EVSCLT-517)\] test day Jboss7 : execution

__Improvement__
* \[[EVSCLT-341](https://gazelle.ihe.net/jira/browse/EVSCLT-341)\] Integrate the Gazelle X Validation module
* \[[EVSCLT-345](https://gazelle.ihe.net/jira/browse/EVSCLT-345)\] Add HTTP detection in Content Analyzer
* \[[EVSCLT-386](https://gazelle.ihe.net/jira/browse/EVSCLT-386)\] Can we have the checkbox to hide the passed requirement when we validate a HL7 V2 message?
* \[[EVSCLT-419](https://gazelle.ihe.net/jira/browse/EVSCLT-419)\] Fix GUI issues
* \[[EVSCLT-420](https://gazelle.ihe.net/jira/browse/EVSCLT-420)\] Review menu layout
* \[[EVSCLT-421](https://gazelle.ihe.net/jira/browse/EVSCLT-421)\] migrate pixelmed-jar
* \[[EVSCLT-459](https://gazelle.ihe.net/jira/browse/EVSCLT-459)\] remove Cache from results webservices
* \[[EVSCLT-511](https://gazelle.ihe.net/jira/browse/EVSCLT-511)\] As an administrator of the tool, I need to know which instance of EVSClient is reporting issue in order to manage it
* \[[EVSCLT-512](https://gazelle.ihe.net/jira/browse/EVSCLT-512)\] remove ear from EVSClient-dist.zip
