---
title: Release note
subtitle: Gazelle FHIR Validator
toolversion: 3.0.2
releasedate: 2019-03-26
author: Anne-Gaëlle BERGE
function: Software Engineer
customer: IHE Europe
reference: KER1-RNO-IHE-GAZELLE_FHIR_VALIDATOR
---
# 3.0.2
_Release date: 2019-03-26_

__Bug__

* \[[FHIRVAL-48](https://gazelle.ihe.net/jira/browse/FHIRVAL-48)\] Prefix is optional, we should be able to leave the field empty
* \[[FHIRVAL-51](https://gazelle.ihe.net/jira/browse/FHIRVAL-51)\] Regex value is not rendered when you choose a datatype

# 3.0.1
_Release date: 2019-02-19_

__Bug__

* \[[FHIRVAL-47](https://gazelle.ihe.net/jira/browse/FHIRVAL-47)\] Validation using schematrons is broken

# 3.0.0
_Release date: 2019-02-14_

__Remarks__

From version 3.0.0, the Gazelle Fhir Validator runs on Wildfly10 using Java 8. See Installation Manual for details.     
The Datasource have also been extracted from the project. See Installation Manual for details.

__Task__

* \[[FHIRVAL-33](https://gazelle.ihe.net/jira/browse/FHIRVAL-33)\] Removal of seam dependencies and replacement of missing component S14
* \[[FHIRVAL-36](https://gazelle.ihe.net/jira/browse/FHIRVAL-36)\] [POC] Replace parent pom.xml by dependencies 
* \[[FHIRVAL-37](https://gazelle.ihe.net/jira/browse/FHIRVAL-37)\] [POC] Work on identity management and security

__Improvement__

* \[[FHIRVAL-41](https://gazelle.ihe.net/jira/browse/FHIRVAL-41)\] Extract datasource configuration
* \[[FHIRVAL-42](https://gazelle.ihe.net/jira/browse/FHIRVAL-42)\] Update SQL scripts archive


# 2.2.0
_Release date: 2018-09-10_

__Remarks__

The resource validator is now able to distinguish whether the resource is formatted as Json or XML. Only one version of each validator will remain. Tools making an hard reference to those validators shall be updated to use the new names.


__Bug__

* \[[FHIRVAL-19](https://gazelle.ihe.net/jira/browse/FHIRVAL-19)\] FHIR Validator must read ValueSets AND CodeSystems, files differ
* \[[FHIRVAL-20](https://gazelle.ihe.net/jira/browse/FHIRVAL-20)\] There is no need for anonymous users to access weight and custom structure definition location

__Story__

* \[[FHIRVAL-23](https://gazelle.ihe.net/jira/browse/FHIRVAL-23)\] ITI-81 Structure Definition

__Improvement__

* \[[FHIRVAL-22](https://gazelle.ihe.net/jira/browse/FHIRVAL-22)\] Implement a validator to verify the conformance of the ITI-81 requests
* \[[FHIRVAL-24](https://gazelle.ihe.net/jira/browse/FHIRVAL-24)\] The validator shall be able to detect whether the message is XML or JSON or an URL


# 2.1.0
_Release date: 2018-04-27_

__Story__

* \[[FHIRVAL-17](https://gazelle.ihe.net/jira/browse/FHIRVAL-17)\] Display the Structure Definition file to the user

__Improvement__

* \[[FHIRVAL-16](https://gazelle.ihe.net/jira/browse/FHIRVAL-16)\] Add the possibility to test resources based on structure definition files

# 2.0.1

__Bug__

* \[[FHIRVAL-14](https://gazelle.ihe.net/jira/browse/FHIRVAL-14)\] Update postgresql driver to version 42.2.1-jre7

__Story__

* \[[FHIRVAL-10](https://gazelle.ihe.net/jira/browse/FHIRVAL-10)\] Add a validator for the DSTU3 resources

__Improvement__

* \[[FHIRVAL-11](https://gazelle.ihe.net/jira/browse/FHIRVAL-11)\] Move to new apereo CAS
* \[[FHIRVAL-12](https://gazelle.ihe.net/jira/browse/FHIRVAL-12)\] Validate with custom structure definition

# 2.0.0
_Release date: 2017-11-30_

__Remarks__

This version of the tool is no more compliant with Patient Manager from its 9.8.0 version.
Note that the Validation API (SOAP web service) has changed.

__Technical task__

* \[[FHIRVAL-5](https://gazelle.ihe.net/jira/browse/FHIRVAL-5)\] [PDQm/PDC] Update the validator for PDQm / PDC actor
* \[[FHIRVAL-6](https://gazelle.ihe.net/jira/browse/FHIRVAL-6)\] [PDQm/PDS] Update the validator for PDQm / PDS actor
* \[[FHIRVAL-7](https://gazelle.ihe.net/jira/browse/FHIRVAL-7)\] [PIXm/PDC] Update the validator for PIXm / PDC actor
* \[[FHIRVAL-8](https://gazelle.ihe.net/jira/browse/FHIRVAL-8)\] [PIXm/Manager] Update the validator for PIXm / Manager actor

__Improvement__

* \[[FHIRVAL-1](https://gazelle.ihe.net/jira/browse/FHIRVAL-1)\] Validator shall be updated to the latest version of TF

