---
title: Release note
subtitle: Proxy - 4.7.0
toolversion: 4.7.0
releasedate: 2019-03-26
author: Anne-Gaëlle BERGE
function: Software Engineer
customer: IHE Europe
reference: KER1-RNO-IHE-Proxy
---

# 4.7.0
_Release date: 2019-03-26_

__Remarks__

Datasource management has changed, refers to the installation manual to correctly update your instance of the tool.


__Improvement__

* \[[PROXY-207](https://gazelle.ihe.net/jira/browse/PROXY-207)\] Extract datasource configuration
* \[[PROXY-208](https://gazelle.ihe.net/jira/browse/PROXY-208)\] Update SQL scripts archive

# 4.6.0
_Release date: 2019-03-05_

__Remarks__

Use of net.ihe.gazelle.maven:version:2.0.0 is limited to applications running on Jboss8.
This new version of the Gazelle Proxy has to be bound to new Gazelle SSO.


__Bug__

* \[[PROXY-205](https://gazelle.ihe.net/jira/browse/PROXY-205)\] Missing translation

__Improvement__

* \[[PROXY-211](https://gazelle.ihe.net/jira/browse/PROXY-211)\] Create "Admin only" mode for message list

# 4.5.0
_Release date: 2018-03-08_

__Remarks__

Use of net.ihe.gazelle.maven:version:2.0.0 is limited to applications running on Jboss8.
This new version of the Gazelle Proxy has to be bound to new Gazelle SSO.

__Bug__

* \[[PROXY-183](https://gazelle.ihe.net/jira/browse/PROXY-183)\] Error when deploying proxy, jdbc driver

__Improvement__

* \[[PROXY-186](https://gazelle.ihe.net/jira/browse/PROXY-186)\] Use new CAS SSO

# 4.4.3
_Release date: 2017-07-05_

__Remarks__


__Improvement__

* \[[PROXY-182](https://gazelle.ihe.net/jira/browse/PROXY-182)\] Add soap ui project as unit test + release 4.4.3

# 4.4.2
_Release date: 2017-03-16_

__Bug__

* \[[PROXY-163](https://gazelle.ihe.net/jira/browse/PROXY-163)\] When updating to gazelle-tools:3.0.25 or higher, fix dependencies to asm
* \[[PROXY-166](https://gazelle.ihe.net/jira/browse/PROXY-166)\] Some proxy link contain IP instead of url

__Story__

* \[[PROXY-132](https://gazelle.ihe.net/jira/browse/PROXY-132)\] Proxy should not open channels if it misses the remote host and/or port

__Improvement__

* \[[PROXY-165](https://gazelle.ihe.net/jira/browse/PROXY-165)\] Need to catch errors in logs
* \[[PROXY-170](https://gazelle.ihe.net/jira/browse/PROXY-170)\] Update Entity Manager with provider

# 4.4.0
_Release date: 2016-05-02_

__Bug__

* \[[PROXY-145](https://gazelle.ihe.net/jira/browse/PROXY-145)\] ihej-dicom library code clean up based on static analysis

__Epic__

* \[[PROXY-139](https://gazelle.ihe.net/jira/browse/PROXY-139)\] Update style with gazelle-assets

__Story__

* \[[PROXY-140](https://gazelle.ihe.net/jira/browse/PROXY-140)\] Management
* \[[PROXY-146](https://gazelle.ihe.net/jira/browse/PROXY-146)\] Merge proxy new style branch on trunk
* \[[PROXY-147](https://gazelle.ihe.net/jira/browse/PROXY-147)\] Sonar analysis
* \[[PROXY-148](https://gazelle.ihe.net/jira/browse/PROXY-148)\] Release Proxy 4.4.0


# 4.3.3-NEWSTYLE
_Release date: 2016-04-05_


__Bug__

* \[[PROXY-126](https://gazelle.ihe.net/jira/browse/PROXY-126)\] need to escape content of HL7v2 messages
* \[[PROXY-130](https://gazelle.ihe.net/jira/browse/PROXY-130)\] prettyFormat Transformation fails in java7
* \[[PROXY-137](https://gazelle.ihe.net/jira/browse/PROXY-137)\] Missing transfer syntax in message details

__Story__

* \[[PROXY-143](https://gazelle.ihe.net/jira/browse/PROXY-143)\] Use the appropriate version of postgresql driver in proxy
* \[[PROXY-144](https://gazelle.ihe.net/jira/browse/PROXY-144)\] Release 4.3.3-NEWSTYLE

__Improvement__

* \[[PROXY-134](https://gazelle.ihe.net/jira/browse/PROXY-134)\] Add button to download messages exchanged in a connection

# 4.3.2-NEWSTYLE
_Release date: 2016-01-21_

__Bug__

* \[[PROXY-129](https://gazelle.ihe.net/jira/browse/PROXY-129)\] Copy to clipboard button does not work any more.

__Story__

* \[[PROXY-128](https://gazelle.ihe.net/jira/browse/PROXY-128)\] migrate proxy-common-war to new assets style for GSS

# 4.3.1
_Release date: 2015-10-30_


__Bug__

* \[[PROXY-125](https://gazelle.ihe.net/jira/browse/PROXY-125)\] Home page : Cancel() method of HomeManager does not cancel modifications.

# 4.3.0
_Release date: 2015-06-11_

__Bug__

* \[[PROXY-107](https://gazelle.ihe.net/jira/browse/PROXY-107)\] Sometime admin can't click on open a new channel and start a new channel
* \[[PROXY-114](https://gazelle.ihe.net/jira/browse/PROXY-114)\] Some messages are probably not stored/displayed
* \[[PROXY-115](https://gazelle.ihe.net/jira/browse/PROXY-115)\] Can't delete validation result
* \[[PROXY-116](https://gazelle.ihe.net/jira/browse/PROXY-116)\] Start all channels doesn't work well
* \[[PROXY-119](https://gazelle.ihe.net/jira/browse/PROXY-119)\] Message content not displayed in some cases
* \[[PROXY-120](https://gazelle.ihe.net/jira/browse/PROXY-120)\] Sonar analyses

__Improvement__

* \[[PROXY-118](https://gazelle.ihe.net/jira/browse/PROXY-118)\] Add permanent link in list message
* \[[PROXY-121](https://gazelle.ihe.net/jira/browse/PROXY-121)\] Remake proxy menu with bootstrap
* \[[PROXY-122](https://gazelle.ihe.net/jira/browse/PROXY-122)\] Format xml in details message

# 4.2.0
_Release date: 2015-04-13_


__Bug__

* \[[PROXY-101](https://gazelle.ihe.net/jira/browse/PROXY-101)\] Error in message list with empty DB
* \[[PROXY-109](https://gazelle.ihe.net/jira/browse/PROXY-109)\] View XXX.seam could not be restored.
* \[[PROXY-111](https://gazelle.ihe.net/jira/browse/PROXY-111)\] Trouble with the input number spinner in message details

__Improvement__

* \[[PROXY-112](https://gazelle.ihe.net/jira/browse/PROXY-112)\] Create filter on channel list page

# 4.1.3
_Release date: 2015-01-26_


__Bug__

* \[[PROXY-104](https://gazelle.ihe.net/jira/browse/PROXY-104)\] Sort channel list by Remote address

# 4.1.2
_Release date: 2015-01-25_


__Bug__

* \[[PROXY-103](https://gazelle.ihe.net/jira/browse/PROXY-103)\] In Channel list details button doesn't work

# 4.1.1
_Release date: 2015-01-20_

__Bug__

* \[[PROXY-99](https://gazelle.ihe.net/jira/browse/PROXY-99)\] Filter by last month doesn't work well
* \[[PROXY-100](https://gazelle.ihe.net/jira/browse/PROXY-100)\] HL7 Message Type filter is not populated

# 4.1.0
_Release date: 2015-01-20_


__Bug__

* \[[PROXY-95](https://gazelle.ihe.net/jira/browse/PROXY-95)\] Update Dicom file location
* \[[PROXY-98](https://gazelle.ihe.net/jira/browse/PROXY-98)\] CLONE - Variable in application configuration should have a unique name

__Improvement__

* \[[PROXY-58](https://gazelle.ihe.net/jira/browse/PROXY-58)\] NA2015: make HL7v2 message type visible in first column of Message List
* \[[PROXY-85](https://gazelle.ihe.net/jira/browse/PROXY-85)\] Improve postgresql request time
* \[[PROXY-88](https://gazelle.ihe.net/jira/browse/PROXY-88)\] When the proxy captures binary data, provide an hex dump of the data through the GUI.
* \[[PROXY-89](https://gazelle.ihe.net/jira/browse/PROXY-89)\] Add argument in filters in order to query without distinct for counts
* \[[PROXY-92](https://gazelle.ihe.net/jira/browse/PROXY-92)\] In the table list of messages there is an info column. I need to be able to search or sort that column
* \[[PROXY-96](https://gazelle.ihe.net/jira/browse/PROXY-96)\] Add a dump for DICOM messages in details page

# 4.0.0
_Release date: 2014-12-11_


__Improvement__

* \[[PROXY-94](https://gazelle.ihe.net/jira/browse/PROXY-94)\] Merge Jboss 7 branche on trunk

# 3.3.4
_Release date: 2015-01-19_

__Bug__

* \[[PROXY-98](https://gazelle.ihe.net/jira/browse/PROXY-98)\] CLONE - Variable in application configuration should have a unique name

# 3.3.3
_Release date: 2014-12-02_

__Bug__

* \[[PROXY-93](https://gazelle.ihe.net/jira/browse/PROXY-93)\] Exception Could not instantiate Seam component: proxyMessageSender

# 3.3.2
_Release date: 2014-11-03_


__Bug__

* \[[PROXY-91](https://gazelle.ihe.net/jira/browse/PROXY-91)\] Downgrade Pixelmed to 20140128

# 3.3.1
_Release date: 2014-11-03_


__Story__

* \[[PROXY-90](https://gazelle.ihe.net/jira/browse/PROXY-90)\] Update Pixelmed version

# 3.3.0
_Release date: 2014-10-10_


__Bug__

* \[[PROXY-86](https://gazelle.ihe.net/jira/browse/PROXY-86)\] Move "message type" in new form in proxy form

__Improvement__

* \[[PROXY-87](https://gazelle.ihe.net/jira/browse/PROXY-87)\] extract the methods used to communicate with EVSClient

# 3.2.0
_Release date: 2014-07-24_

__Bug__

* \[[PROXY-79](https://gazelle.ihe.net/jira/browse/PROXY-79)\] error message in JBoss log is not appropriate when a DICOM file is missing
* \[[PROXY-80](https://gazelle.ihe.net/jira/browse/PROXY-80)\] The first time you access the proxy user can't go on "Message List" because it's empty

__Improvement__

* \[[PROXY-82](https://gazelle.ihe.net/jira/browse/PROXY-82)\] Add interoperability-testbed feature

# 3.1.1
_Release date: 2014-04-29_

__Bug__

* \[[PROXY-77](https://gazelle.ihe.net/jira/browse/PROXY-77)\] Download of Dicom file and view dumped dicom files sometimes show a different file that the one expected
* \[[PROXY-78](https://gazelle.ihe.net/jira/browse/PROXY-78)\] Remake search panel

# 3.1.0
_Release date: 2014-03-26_

__Bug__

* \[[PROXY-67](https://gazelle.ihe.net/jira/browse/PROXY-67)\] Sort "DICOM Affected Sop Class UID" field by name
* \[[PROXY-72](https://gazelle.ihe.net/jira/browse/PROXY-72)\] If DCMTK is not install no error message is provided
* \[[PROXY-73](https://gazelle.ihe.net/jira/browse/PROXY-73)\] On message list datascroller is not updated

__Story__

* \[[PROXY-71](https://gazelle.ihe.net/jira/browse/PROXY-71)\] Update pixelmed version to 20140128
* \[[PROXY-76](https://gazelle.ihe.net/jira/browse/PROXY-76)\] Release for M3

__Improvement__

* \[[PROXY-68](https://gazelle.ihe.net/jira/browse/PROXY-68)\] Add possibility to filter DICOM by SOP Class UID
* \[[PROXY-74](https://gazelle.ihe.net/jira/browse/PROXY-74)\] Optimize proxy
* \[[PROXY-75](https://gazelle.ihe.net/jira/browse/PROXY-75)\] Create a WebService which return version number

# 3.0.0
_Release date: 2013-11-05_

__Bug__

* \[[PROXY-62](https://gazelle.ihe.net/jira/browse/PROXY-62)\] Help button is a broken link
* \[[PROXY-63](https://gazelle.ihe.net/jira/browse/PROXY-63)\] Number of open channels is not totally correct

__Improvement__

* \[[PROXY-64](https://gazelle.ihe.net/jira/browse/PROXY-64)\] Use application preferences to store the CAS url

# Proxy-2.16
_Release date: 2013-10-24_


__Improvement__

* \[[PROXY-59](https://gazelle.ihe.net/jira/browse/PROXY-59)\] ERROR [GenericServiceLoader] Failed to load an implementation for the service net.ihe.gazelle.common.servletfilter.CSPPoliciesPreferences !

# Proxy-2.14
_Release date: 2013-10-23_


__Bug__

* \[[PROXY-53](https://gazelle.ihe.net/jira/browse/PROXY-53)\] When starting a channel using the WS call, one can start a channel out of the configuration range
* \[[PROXY-60](https://gazelle.ihe.net/jira/browse/PROXY-60)\] NullPointerException when proxy use last version of gazelle-seams-tools
* \[[PROXY-61](https://gazelle.ihe.net/jira/browse/PROXY-61)\] Web service definition has changed, need to update gazelle-ws-clients using the new wsdl

# Proxy-2.13
_Release date: 2013-10-17_

__Bug__

* \[[PROXY-57](https://gazelle.ihe.net/jira/browse/PROXY-57)\] Problem at channel creation

# Proxy-2.12
_Release date: 2013-10-15_

__Bug__

* \[[PROXY-55](https://gazelle.ihe.net/jira/browse/PROXY-55)\] Error when stopping all channels

__Improvement__

* \[[PROXY-50](https://gazelle.ihe.net/jira/browse/PROXY-50)\] Update pom.xml to have link in Sonar
* \[[PROXY-51](https://gazelle.ihe.net/jira/browse/PROXY-51)\] Uniquely identify an instance of the proxy tool

# Proxy-2.11
_Release date: 2013-07-29_


__Bug__

* \[[PROXY-48](https://gazelle.ihe.net/jira/browse/PROXY-48)\] Can't validate DICOM from proxy to TM

__Story__

* \[[PROXY-47](https://gazelle.ihe.net/jira/browse/PROXY-47)\] Installation, configuration and documentation for NIST

# Proxy-2.10
_Release date: 2013-07-23_


__Story__

* \[[PROXY-24](https://gazelle.ihe.net/jira/browse/PROXY-24)\] Work on DICOM proxy side
* \[[PROXY-45](https://gazelle.ihe.net/jira/browse/PROXY-45)\] Add a mechanism to export/import channels configuration

# Proxy-2.9
_Release date: 2013-07-08_

__Technical task__

* \[[PROXY-43](https://gazelle.ihe.net/jira/browse/PROXY-43)\] add missing translation

__Bug__

* \[[PROXY-44](https://gazelle.ihe.net/jira/browse/PROXY-44)\] An error occurred when sending a message to EVSClient for validation

__Improvement__

* \[[PROXY-41](https://gazelle.ihe.net/jira/browse/PROXY-41)\] Improve GUI layout to match the graphic templates of Gazelle

# Proxy-2.8
_Release date: 2013-07-08_

__Story__

* \[[PROXY-40](https://gazelle.ihe.net/jira/browse/PROXY-40)\] Allow the application to work without cas

__Improvement__

* \[[PROXY-42](https://gazelle.ihe.net/jira/browse/PROXY-42)\] store application preferences in a table instead of using a property file

# Proxy-2.7
_Release date: 2013-06-26_


__Improvement__

* \[[PROXY-39](https://gazelle.ihe.net/jira/browse/PROXY-39)\] Proxy GUI Layout is not conform to our common layout

# Proxy-2.6
_Release date: 2013-06-14_


__Bug__

* \[[PROXY-38](https://gazelle.ihe.net/jira/browse/PROXY-38)\] Captured DICOM dataset may have duplicate names.

__Improvement__

* \[[PROXY-36](https://gazelle.ihe.net/jira/browse/PROXY-36)\] Add possibilies to filter by ip or proxy in proxy channels

# Proxy-2.3
_Release date: 2013-04-12_


__Bug__

* \[[PROXY-34](https://gazelle.ihe.net/jira/browse/PROXY-34)\] View inline for dicom
* \[[PROXY-35](https://gazelle.ihe.net/jira/browse/PROXY-35)\] SearchMessageStep : origine, destination and date to check

__Improvement__

* \[[PROXY-33](https://gazelle.ihe.net/jira/browse/PROXY-33)\] Add stop all channels button

# Proxy-2.2
_Release date: 2013-03-18_

__Improvement__

* \[[PROXY-32](https://gazelle.ihe.net/jira/browse/PROXY-32)\] Update proxy page from TM

# Proxy-2.1
_Release date: 2013-03-14_


__Story__

* \[[PROXY-28](https://gazelle.ihe.net/jira/browse/PROXY-28)\] Proxy url paramaters

# Proxy-2.0
_Release date: 2013-03-07_


__Story__

* \[[PROXY-29](https://gazelle.ihe.net/jira/browse/PROXY-29)\] Create url to see result validation.

# Proxy-0.2-GA
_Release date: 2012-12-30_

__Story__

* \[[PROXY-6](https://gazelle.ihe.net/jira/browse/PROXY-6)\] PROXY - Module for TCIP communication proxying
* \[[PROXY-23](https://gazelle.ihe.net/jira/browse/PROXY-23)\] Use new framework tooling

# Proxy-0.1-GA
_Release date: 2010-04-05_

__Story__

* \[[PROXY-1](https://gazelle.ihe.net/jira/browse/PROXY-1)\] PROXY - Specialisation of the TCP/IP proxy feature for HL7 V2 message proxying
* \[[PROXY-2](https://gazelle.ihe.net/jira/browse/PROXY-2)\] PROXY - Create API between the proxy and the Gazelle Control Module 
* \[[PROXY-4](https://gazelle.ihe.net/jira/browse/PROXY-4)\] PROXY - Specialisation of the TCP/IP proxy feature for Dicom message proxying
* \[[PROXY-5](https://gazelle.ihe.net/jira/browse/PROXY-5)\] PROXY - Specialisation of the TCP/IP proxy feature for Syslog message proxying
